Package Details: voglperf32 0.2-7

Git Clone URL: https://aur.archlinux.org/voglperf.git (read-only)
Package Base: voglperf
Description: benchmarking tool for OpenGL games (frame info, logs, steam support)
Upstream URL: https://github.com/ValveSoftware/voglperf
Licenses: BSD, custom:MIT,
Conflicts: voglperf
Replaces: voglperf
Submitter: JonnyJD
Maintainer: JonnyJD
Last Packager: JonnyJD
Votes: 10
Popularity: 0.000023
First Submitted: 2014-10-14 13:04
Last Updated: 2015-11-01 21:12

Latest Comments

1 2 Next › Last »

JonnyJD commented on 2015-11-01 21:12

Never used voglperfrun like that Oo.
Thanks, fixed.

edward_81 commented on 2015-11-01 19:08

The error happen when i try to launch an app like:
voglperfrun64 -s /usr/bin/glxgears

But i found the error.
The PKGBUILD need a little correction, replace the line
-e 's|./libvoglperf64|/usr/lib/libvoglperf.so|' \
with
-e 's|./libvoglperf64.so|/usr/lib/libvoglperf.so|' \

The WARNING from the program persist but this time use the library get loaded correctly.

JonnyJD commented on 2015-11-01 17:07

What exactly are you trying to do and where do you get these warnings?
U suspect the "usual" LD_PRELOAD problem of the current steam runtime though.
Not sure ATM what is broken exactly, but LD_PRELOAD problems like these are common. The most common one is this: .local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
The first WARNING sounds like this:
https://github.com/ValveSoftware/voglperf/issues/16

Anyways, this sounds like a problem using voglperf, as the binaries are linked correctly as can be seen with
ldd /usr/bin/voglperfrun*
and
file /usr/lib*/libvogl*

Unfortunately I can't help with further usage or problems with voglperf itself.

I should note that I do get the same errors/warnings and can successfully get the fps for my games like that:
voglperfrun32 (or 64 for some few games, change when you get "Could not retrieve pid")
(in browser:)
game start some_id (see steamdb.info)
fpsshow on

edward_81 commented on 2015-11-01 16:42

I try to use it but i get this:
ARNING: realpath /usr/bin//usr/lib32/libvoglperf.so failed 'No such file or directory.'
WARNING: realpath /usr/bin//usr/lib/libvoglperf.so.so failed 'No such file or directory.'
ERROR: ld.so: object '/usr/lib32/libvoglperf.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
ERROR: ld.so: object '/usr/lib/libvoglperf.so.so' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
ERROR: ld.so: object '/usr/lib32/libvoglperf.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
ERROR: ld.so: object '/usr/lib/libvoglperf.so.so' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.

libvoglperf.so.so
Any idea ?

edward_81 commented on 2015-10-31 18:13

Nice, now is working. Thanks, good job!

JonnyJD commented on 2015-10-31 15:27

FYI: This was basically fixed with https://github.com/ValveSoftware/voglperf/pull/26 (I only made some changes to make it work in the PKGBUILD)

JonnyJD commented on 2015-10-31 15:15

I updated the PKGBUILD, fixing the url problem and adding patches to use the system libedit. This also means (lib32-)libedit is a new dependency.

edward_81 commented on 2015-10-31 09:26

The compilation error is caused from the file libedit-3.1/lib/XXXXX-linux-gnu/libedit.a That is an "ar" compressed file containing static build libs (from what i understand reading around). The message say to add the flag to libedit libs. For now i managed to compile voglperf64 by downloading libedit src, compile it, compress the .so file with ar and replace with it the libedit.a file shipped with voglperf. I think that the right way to fix this is to patch the voglperf makefile to use the system lib. Actually i don't know how to do it.
Btw i looked on the package libedit and this have just the /usr/lib/libedit.so and other files, the compiled package generate a bunch of .so files without libedit.so. And here i'm totally lost :D

JonnyJD commented on 2015-10-30 18:44

yes, I can reproduce the problem. The url is easy to fix (possible broken after the package split), but the linker problem might be more difficult to fix. I guess it has to do with changes in the arch linux build tools or flags.
The same version did compile previously.
Though this might be as easy as patching the build files to include the PIC flag (as suggested by the message). I'll try to track this down when I have a bit more time.

edward_81 commented on 2015-10-30 17:57

Can't compile.
At first the download url is wrong
https://github.com/ValveSoftware/voglperf64/archive/0.2.tar.gz
which does not exist.
Replacing with
https://github.com/ValveSoftware/voglperf/archive/$pkgver.tar.gz
work, but the compilation fail:

/usr/bin/ld: /tmp/yaourt-tmp-edward/aur-voglperf64/src/voglperf-0.2/src/libedit-3.1/lib/x86_64-linux-gnu/libedit.a(el.o): relocation R_X86_64_32S against `.rodata' can not be used when making a shared object; recompile with -fPIC
/tmp/yaourt-tmp-edward/aur-voglperf64/src/voglperf-0.2/src/libedit-3.1/lib/x86_64-linux-gnu/libedit.a: error adding symbols: Bad value
collect2: error: ld returned 1 exit status